Skip to main content
deliverables

Update a deliverable

Partial update: send only the fields to change.

PATCH
/deliverables/{id}
Authorizationstringheaderrequired

An API key: vzk_live_...

idstringrequired

Body

application/json
accountable_idstring | null
assignee_idsstring[]
Maximum array length: 200
consulted_idsstring[]
Maximum array length: 200
custom_categorystring | null
Maximum string length: 100
dependenciesobject[]
Maximum array length: 50
descriptionstring | null
Maximum string length: 20000
due_datestring | null
estimate_hoursnumber | null
Required range: 0 <= x
estimate_pointsnumber | null
Required range: 0 <= x
external_refstring | null
Maximum string length: 200
informed_idsstring[]
Maximum array length: 200
Maximum string length: 2000
milestone_idstring | null
order_indexinteger | null
Required range: 0 <= x
priorityenum<string> | null
Available options: low, medium, high, critical
remaining_estimate_hoursnumber | null
Required range: 0 <= x
start_datestring | null
statusenum<string>
Available options: not_started, in_progress, in_review, completed, blocked
titlestring | null
Maximum string length: 300

Response

application/json

Updated

dataobject